summaryrefslogtreecommitdiffstats
path: root/extras
diff options
context:
space:
mode:
Diffstat (limited to 'extras')
-rwxr-xr-xextras/hook-scripts/S30samba-start.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/extras/hook-scripts/S30samba-start.sh b/extras/hook-scripts/S30samba-start.sh
index 926fe603..e281c7e5 100755
--- a/extras/hook-scripts/S30samba-start.sh
+++ b/extras/hook-scripts/S30samba-start.sh
@@ -85,5 +85,7 @@ if [ $(get_smb "$VOL") = "disable" ]; then
exit 0
fi
-add_samba_share $VOL
-sighup_samba
+if ! grep --quiet "gluster-$VOL" /etc/samba/smb.conf ; then
+ add_samba_share $VOL
+ sighup_samba
+fi